Bug 1782075 - compute_profile attributes values created using hammer does not reflect on UI
Summary: compute_profile attributes values created using hammer does not reflect on UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: Aditi Puntambekar
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-11 06:10 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_azure_rm-2.0.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28625 High Closed Compute profile attributes values created using hammer are not reflected on UI 2020-01-14 13:17:27 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:34 UTC

Description vijsingh 2019-12-11 06:10:48 UTC
Description of problem:

compute_profile attributes values created using hammer does not reflect on UI

Version-Release number of selected component (if applicable):
@satellite 6.7.0 snap 5.0

How reproducible:
Always

Steps to Reproduce:
1. Create a Compute Resource using UI/Hammer.
2. Create a Compute profiles values using hammer i.e.

__________________________________________________
 # hammer compute-profile values create --compute-attributes="resource_group=vijay-rg,vm_size=Standard_B1s,username=myuser,password=mypassword,platform=Linux,image_id=OpenLogic:CentOS:7.5:latest" --interface="compute_public_ip=Dynamic,compute_network=mysubnetID,compute_private_ip=false" --compute-profile-id 1 --compute-resource-id 7 --location-id 1 --organization-id 2
___________________________________________________
  
3. See compute-profile attributes values:
 
 # hammer compute-profile info --id 1

4. Now check same on UI:

  Infrastructures => Compute Resources => <CR Name> => 'Compute profiles' => Click on '1-Small' => see attributes values.

Actual results:

 Assigned attributes values does not reflect over UI.

Expected results:

 Assigned attributes values should show over UI.

Additional info:

Comment 3 vijsingh 2019-12-30 10:51:08 UTC
Just to update:

The description issue is observed only when do not use 'image_id' with 'compute-attributes' however if use 'image_id' with 'compute-attributes' values shows as expected on UI:

i.e.
____________________________
# hammer compute-profile values create --compute-attributes="resource_group=vijay-rg,vm_size=Standard_B1s,username=myuser,password=mypassword,platform=Linux,script_command=touch /var/tmp/text.txt" --interface="compute_public_ip=Dynamic,compute_network=mysubnetID,compute_private_ip=false" --compute-profile-id 1 --compute-resource-id 7 --location-id 1 --organization-id 2
____________________________

Comment 6 vijsingh 2020-01-17 11:06:41 UTC
ON_QA Verified

@Satellite 6.7.0 snap 8.0

Observation:

 -  Assigned attributes values shows over UI.

Comment 9 errata-xmlrpc 2020-04-14 13:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.